<?php defined('BASEPATH') || exit('No direct script access allowed.');

/**
* Profile
*/
class Profile extends CI_Controller
{
	
	function __construct()
	{
		parent::__construct();
		$this->data['page_name'] = "Your Profile";

		/**
		 * Loading Models
		 */
		$this->load->model('user_resource_model');
		$this->load->model('user_model');
	}

	public function index()
	{
		$this->data['user'] = $this->user_model->get($this->auth->user()->user_ID);
		$this->data['user_resource_type'] = $this->user_resource_model->getUserResourceTypes($this->auth->user()->user_ID);
        $this->data['user_resource_data'] = $this->user_resource_model->getUserResourceData($this->auth->user()->user_ID);
		$this->load->view('profile/index',$this->data);
	}
}